<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<hdlworker language="vhdl" spec="convolutional_interleaver_us-spec.xml" version="2"
  sourcefiles="shift_reg.vhd convolutional_delay_lines.vhd">
  <property name="port_data_width" type="uchar" default="16" parameter="true" description="Input and output port width."/>
  <property name="bit_width" type="uchar" default="10" parameter="true"
    description="Bit width of input/output data and bit width of the delay line shift registers. If N is less than or equal to the
      port width, this value should be less than or equal to N. If N is greater than the port width, this value should be less than
      or equal to the port width."/>
  <streaminterface name="input" datawidth="port_data_width" clock="output"/>
  <streaminterface name="output" datawidth="port_data_width" inserteom="true" clockdirection="in"/>
</hdlworker>
